//
//  TouchTextInputViewController.m
//  TouchTextInput
//
//  Created by Holger Hinzberg on 09.04.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "TouchTextInputViewController.h"

@implementation TouchTextInputViewController
@synthesize firstNameTextField;
@synthesize nameTextField;
@synthesize ageTextField;

- (void)dealloc
{
    [firstNameTextField release];
    [nameTextField release];
    [ageTextField release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [self setFirstNameTextField:nil];
    [self setNameTextField:nil];
    [self setAgeTextField:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    BOOL returnValue = NO;
    
    if (interfaceOrientation == 
        UIInterfaceOrientationPortrait)
    {
        // Portrait erlauben
        returnValue = YES;   
    }
    else if (interfaceOrientation == 
             UIInterfaceOrientationLandscapeLeft)
    {
        // Nach Links drehen erlauben 
        returnValue = YES;
    }
    else if (interfaceOrientation == 
             UIInterfaceOrientationLandscapeRight)
    {
        // Nach Rechts drehen erlauben
        returnValue = YES;
    }
    
    return returnValue;
}

- (IBAction)firstnameTextEditingDidEnd:(id)sender
{
    // Das Textfeld für den Namen wird First Responder 
    [nameTextField becomeFirstResponder];
}
- (IBAction)acceptButtonClicked:(id)sender
{
    // First Responder Status aufgeben
    [nameTextField resignFirstResponder];
    [firstNameTextField resignFirstResponder];
    [ageTextField resignFirstResponder];
        
    NSString *name = [nameTextField text];
    NSString *firstName = [firstNameTextField text];
    // Hier muss ein wenig konvertiert werden.
    int age = [[ageTextField text] intValue];
    
    // Die Nachricht aus den Einzelnen
    // Variablen zusammensetzten.
    
    NSMutableString *messageText =
    [NSMutableString stringWithFormat:@"Name: %@",name];
    
    [messageText appendString:
     [NSString stringWithFormat:@"\nVorname: %@", firstName]];
    
    [messageText appendString:
     [NSString stringWithFormat:@"\nAlter: %i", age]];
    
    
    // Die Überschrift
    NSString *titleText = @"Ihre Daten";
    
    // Ein UIAlertView - Mitteilungsfenster
    UIAlertView *alert = 
    [[UIAlertView alloc] initWithTitle:titleText
                         message:messageText
                         delegate:nil
                         cancelButtonTitle:@"OK"
                         otherButtonTitles:nil];
    
    [alert autorelease];
    [alert show];

}

- (IBAction)clearInputButton:(id)sender
{
    // Ein UIActionSheet erzeugen und konfigurieren
    UIActionSheet *sheet =
    [[UIActionSheet alloc] initWithTitle:
           @"Eingaben löschen?"
           delegate:self
           cancelButtonTitle:@"Nein, doch nicht!"
           destructiveButtonTitle:@"Ja, bitte."
           otherButtonTitles:nil];
    
    // UIActionSheet anzeigen 
    [sheet showInView:self.view];
    
    // Objekt freigeben
    [sheet release];
}

- (IBAction)backgroundClick:(id)sender
{
    // Kein Textfeld soll First Responder sein.
    [nameTextField resignFirstResponder];
    [firstNameTextField resignFirstResponder];
    [ageTextField resignFirstResponder];
}

- (void)actionSheet:(UIActionSheet *)actionSheet 
clickedButtonAtIndex:(NSInteger)buttonIndex
{
    // Der erste Button wurde gewählt
    if (buttonIndex == 0)
    {
        // Alle Textfelder leeren
        nameTextField.text = @"";
        firstNameTextField.text = @"";
        ageTextField.text = @"";
        
        // Kein Textfeld soll First Responder sein.
        [nameTextField resignFirstResponder];
        [firstNameTextField resignFirstResponder];
        [ageTextField resignFirstResponder];
    }  
}


- (IBAction)nameTextEditingDidEnd:(id)sender
{
    // Alter wird First Responder
    [ageTextField becomeFirstResponder];
}



@end
